Bug 135761 - sleeping function called from invalid context (scsi, aha1542)
Summary: sleeping function called from invalid context (scsi, aha1542)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-14 20:54 UTC by Jón Fairbairn
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 06:07:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog including stack trace (27.55 KB, text/plain)
2004-10-14 20:59 UTC, Jón Fairbairn
no flags Details

Description Jón Fairbairn 2004-10-14 20:54:00 UTC
Description of problem:
Kernel splurges error messages (looks like issue with aha1542)

Version-Release number of selected component (if applicable):
2.6.8-1.521

How reproducible:
always

Steps to Reproduce:
1. boot the machine, loading aha1542 
2. 
3.
  
Actual results:
Debug: sleeping function called from invalid context at mm/slab.c:2000
+ traceback

Expected results:


Additional info:

See attached log extracts

Comment 1 Jón Fairbairn 2004-10-14 20:59:39 UTC
Created attachment 105235 [details]
syslog including stack trace

Comment 2 Jón Fairbairn 2004-10-19 00:15:29 UTC
On the machine in question the cdrom is scsi, and there's a hard disc
that is configured as swap; swapping to it causes *lots* of activity
to syslog. Slows things down!

So far I haven't detected any real errors associated with these
messages from 2.6.8 (as downloaded from fc2 updates), though I did get
a kernel panic with 2.6.5. Nevertheless it is a real nuisance, soaking
up disc bandwith logging it all.

Note that the "Debug: " line is logged at kernel.err and the stack
traces are at kernel.warning, so it would lose too much from the logs
to configure syslogd not to report them.


Comment 3 Dave Jones 2005-04-16 06:07:54 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.